Page MenuHomePhabricator

Play button is over top of controls since z-index change
Closed, ResolvedPublic

Description

Since 3bc774a6ccb30ac6, there is now a giant play button over top of the play controls for audio files.

On one hand this kind of looks odd. On the other hand, the play button goes away on actually playing the file, so maybe its ok, a kind of button to "activate" the audio file. I don't know.

As for changing it, i guess we could also increase the z-index of the play controls, but where does it end with the z-indexes...

Example: https://commons.wikimedia.org/w/index.php?title=Commons:Sandbox&oldid=129716983


Version: unspecified
Severity: normal

Details

Reference
bz68479

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:27 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz68479.
bzimport added a subscriber: Unknown Object (MLST).
Bawolff created this task.Jul 23 2014, 9:28 PM
brion added a comment.Jul 23 2014, 9:54 PM

I've also seem some issues with those play buttons floating over other files' popup players, looks like related bad z-index to me.

See at https://commons.wikimedia.org/w/index.php?title=User:Brion_VIBBER/Demo&oldid=129720039 -- open one of the larger videos towards the bottom of the page.

ich, that's much worse than the audio issue. Maybe 3bc774a6ccb30ac6 should be reverted. But having the play button not be clickable in a pop-up sucks quite a bit too. *sigh*

Change 150281 had a related patch set uploaded by Brian Wolff:
Revert "Make play button have higher z-index so its clickable."

https://gerrit.wikimedia.org/r/150281

Change 150285 had a related patch set uploaded by Brian Wolff:
Do not specify any z-index for the play button

https://gerrit.wikimedia.org/r/150285

Change 150281 abandoned by Brian Wolff:
Revert "Make play button have higher z-index so its clickable."

Reason:
Figured out a better solution (gerrit change 150285)

https://gerrit.wikimedia.org/r/150281

So apparently all z-index issues can be solved by just not messing with z-index in the first place (z-index: auto).

Change 150285 merged by jenkins-bot:
Do not specify any z-index for the play button

https://gerrit.wikimedia.org/r/150285

Change 150620 had a related patch set uploaded by Brian Wolff:
Do not specify any z-index for the play button

https://gerrit.wikimedia.org/r/150620

Change 150620 merged by jenkins-bot:
Do not specify any z-index for the play button

https://gerrit.wikimedia.org/r/150620

this was just swat deployed. All fixed.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:53 AM